Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.domain.solution
Class SolutionDescriptor

    java.lang.Object
      org.drools.planner.core.domain.solution.SolutionDescriptor

    public class SolutionDescriptor

extends Object

Constructor Summary
`SolutionDescriptor(Class<? extends Solution> solutionClass)`

Method Summary
`void` | `addPlanningEntityDescriptor(PlanningEntityDescriptor planningEntityDescriptor)`
`Collection<Object>` | `getAllFacts(Solution solution)`
`int` | `getPlanningEntityCount(Solution solution)`
`PlanningEntityDescriptor` | `getPlanningEntityDescriptor(Class<?> planningEntityImplementationClass)`
`Collection<PlanningEntityDescriptor>` | `getPlanningEntityDescriptors()`
`Set<Class<?>>` | `getPlanningEntityImplementationClassSet()`
`List<Object>` | `getPlanningEntityList(Solution solution)`
`List<Object>` | `getPlanningEntityListByPlanningEntityClass(Solution solution, Class<?> planningEntityClass)`
`long` | `getProblemScale(Solution solution)` Calculates an indication on how big this problem instance is.
`PropertyDescriptor` | `getPropertyDescriptor(String propertyName)`
`Class<? extends Solution>` | `getSolutionClass()`
`boolean` | `hasPlanningEntityDescriptor(Class<?> planningEntityImplementationClass)`
`boolean` | `isInitialized(Solution solution)`
`void` | `processAnnotations()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolutionDescriptor

    public SolutionDescriptor(Class<? extends Solution> solutionClass)

Method Detail

### processAnnotations

    public void processAnnotations()

### getSolutionClass

    public Class<? extends Solution> getSolutionClass()

### getPropertyDescriptor

    public PropertyDescriptor getPropertyDescriptor(String propertyName)

### addPlanningEntityDescriptor

    public void addPlanningEntityDescriptor(PlanningEntityDescriptor planningEntityDescriptor)

### getPlanningEntityImplementationClassSet

    public Set<Class<?>> getPlanningEntityImplementationClassSet()

### getPlanningEntityDescriptors

    public Collection<PlanningEntityDescriptor> getPlanningEntityDescriptors()

### hasPlanningEntityDescriptor

    public boolean hasPlanningEntityDescriptor(Class<?> planningEntityImplementationClass)

### getPlanningEntityDescriptor

    public PlanningEntityDescriptor getPlanningEntityDescriptor(Class<?> planningEntityImplementationClass)

### getAllFacts

    public Collection<Object> getAllFacts(Solution solution)

### getPlanningEntityList

    public List<Object> getPlanningEntityList(Solution solution)

### getPlanningEntityListByPlanningEntityClass

    public List<Object> getPlanningEntityListByPlanningEntityClass(Solution solution,
                                                                   Class<?> planningEntityClass)

### getPlanningEntityCount

    public int getPlanningEntityCount(Solution solution)

  Parameters:
    `solution` - never null
  Returns:
    >= 0

### getProblemScale

    public long getProblemScale(Solution solution)

  Calculates an indication on how big this problem instance is. This is intentionally very loosely defined for now.

  Parameters:
    `solution` - never null
  Returns:
    >= 0

### isInitialized

    public boolean isInitialized(Solution solution)

  Parameters:
    `solution` - never null
  Returns:
    true if all the planning entities are initialized

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.